summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNeels Hofmeyr <neels@hofmeyr.de>2017-05-02 17:00:30 +0200
committerNeels Hofmeyr <neels@hofmeyr.de>2017-05-02 17:00:30 +0200
commit8bedf8ce5f5563991d3910d533f112bfc327c46d (patch)
tree1ad4a0660e1bf4a03aa22e039ef76015f6d16e5d
parentf1a9029514ab07986f4bd246a6eca6f2d201fd4a (diff)
jenkins: make sure to have only the latest binary tar in a workspace
-rwxr-xr-xcontrib/jenkins-osmo-bts-octphy.sh1
-rwxr-xr-xcontrib/jenkins-osmo-bts-sysmo.sh1
-rwxr-xr-xcontrib/jenkins-osmo-bts-trx.sh1
-rwxr-xr-xcontrib/jenkins-osmo-nitb.sh1
4 files changed, 4 insertions, 0 deletions
diff --git a/contrib/jenkins-osmo-bts-octphy.sh b/contrib/jenkins-osmo-bts-octphy.sh
index 4284262..49560ca 100755
--- a/contrib/jenkins-osmo-bts-octphy.sh
+++ b/contrib/jenkins-osmo-bts-octphy.sh
@@ -61,5 +61,6 @@ for dep in $deps; do
done
# build the archive that is going to be copied to the tester
+rm "$base"/*.tgz || true
cd "$prefix"
tar czf "$base/osmo-bts-octphy.build-${BUILD_NUMBER}.tgz" *
diff --git a/contrib/jenkins-osmo-bts-sysmo.sh b/contrib/jenkins-osmo-bts-sysmo.sh
index 7870259..52f7593 100755
--- a/contrib/jenkins-osmo-bts-sysmo.sh
+++ b/contrib/jenkins-osmo-bts-sysmo.sh
@@ -65,5 +65,6 @@ for dep in $deps; do
done
# build the archive that is going to be copied to the tester and then to the BTS
+rm "$base"/*.tgz || true
cd "$prefix_real"
tar cvzf "$base/osmo-bts-sysmo.build-${BUILD_NUMBER}.tgz" *
diff --git a/contrib/jenkins-osmo-bts-trx.sh b/contrib/jenkins-osmo-bts-trx.sh
index acdcc89..e44cf0a 100755
--- a/contrib/jenkins-osmo-bts-trx.sh
+++ b/contrib/jenkins-osmo-bts-trx.sh
@@ -60,5 +60,6 @@ for dep in $deps; do
done
# build the archive that is going to be copied to the tester
+rm "$base"/*.tgz || true
cd "$prefix"
tar czf "$base/osmo-bts-trx.build-${BUILD_NUMBER}.tgz" *
diff --git a/contrib/jenkins-osmo-nitb.sh b/contrib/jenkins-osmo-nitb.sh
index e655082..05d2041 100755
--- a/contrib/jenkins-osmo-nitb.sh
+++ b/contrib/jenkins-osmo-nitb.sh
@@ -59,5 +59,6 @@ for dep in $deps; do
done
# build the archive that is going to be copied to the tester
+rm "$base"/*.tgz || true
cd "$prefix"
tar czf "$base/osmo-nitb.build-${BUILD_NUMBER}.tgz" *